Subject: Re: [PATCH 0/4] Fix doc default hash algorithm in WITH_BREAKING_CHANGES mode

From: "brian m. carlson" <[email-masked]>
Date: Tue, 2 Dec 2025 11:52:31 +0000

On 2025-12-02 at 08:18:25, Patrick Steinhardt wrote:
> On Tue, Dec 02, 2025 at 01:46:01AM +0000, brian m. carlson wrote:
> > When WITH_BREAKING_CHANGES is defined, the default hash algorithm is not
> > SHA-1, but SHA-256.  However, our documentation was never updated to
> > reflect this, and as a result, we end up misinforming users.
> > 
> > This series fixes four places where we indicate a default hash algorithm
> > in our documentation such that they conditionally say that either SHA-1
> > or SHA-256 is the default, based on the the with-breaking-changes
> > attribute.  This both improves accuracy now and also makes it less
> > likely that we'll forget to update these places when we hit Git 3.0.
> 
> All of these look good to me. One alternative would be to introduce an
> attribute that we can then reference in the docs. The below patch shows
> how to do this with Asciidoc, but of course we'd also have to do this
> for Asciidoctor.
> 
> I don't mind much which approach we use, but wanted to suggest this as
> an alternative.

I think it may be easier to set this in the Makefile and Meson config,
but I'll try to see if I can adopt a similar approach here and if so,
I'll send a v2.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA